<?php

/** 
Copyright Souke (2018)

contact@souke.fr

Ce logiciel est un programme informatique servant à aider les producteurs 
à distribuer leur production en circuits courts. 

Ce logiciel est régi par la licence CeCILL soumise au droit français et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA 
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilité au code source et des droits de copie,
de modification et de redistribution accordés par cette licence, il n'est
offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
seule une responsabilité restreinte pèse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concédants successifs.

A cet égard  l'attention de l'utilisateur est attirée sur les risques
associés au chargement,  à l'utilisation,  à la modification et/ou au
développement et à la reproduction du logiciel par l'utilisateur étant 
donné sa spécificité de logiciel libre, qui peut le rendre complexe à 
manipuler et qui le réserve donc à des développeurs et des professionnels
avertis possédant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
logiciel à leurs besoins dans des conditions permettant d'assurer la
sécurité de leurs systèmes et ou de leurs données et, plus généralement, 
à l'utiliser et l'exploiter dans les mêmes conditions de sécurité. 

Le fait que vous puissiez accéder à cet en-tête signifie que vous avez 
pris connaissance de la licence CeCILL, et que vous en avez accepté les
termes.
*/

use domain\Communication\Email\Email;
use yii\helpers\Html ;
use yii\widgets\ActiveForm;

$this->setTitle('Envoyer un email') ;
$this->addBreadcrumb(['label' => 'Utilisateurs', 'url' => ['user/index']]) ;
$this->addBreadcrumb($this->getTitle()) ;

?>

<?= 

$this->render('@backend/views/user/_menu_filter.php',[
    'section' => 'email',
    'idPointSaleActive' => $idPointSaleActive,
    'sectionInactiveUsers' => isset($sectionInactiveUsers) ? $sectionInactiveUsers : null,
    'sectionSubscribers' => isset($sectionSubscribers) ? $sectionSubscribers: null,
    'pointsSaleArray' => $pointsSaleArray,
    'idDistributionActive' => $idDistributionActive,
    'incomingDistributionsArray' => $incomingDistributionsArray,
    'incomingDistributionsDatesArray' => $incomingDistributionsDatesArray,
]) ;

?>

<div class="communication-email row">
    <div class="col-md-8">
        <div id="panel-mail-form" class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">Envoyer un email</h3>
            </div>
            <div class="panel-body">
                <div class="newsletter-type">
                    <strong>Type d'email</strong>
                    <div>
                        <?php $linkParamsArray = ['idPointSale' => $idPointSaleActive, 'idDistribution' => $idDistributionActive, 'usersPointSaleLink' => $usersPointSaleLink, 'usersPointSaleHasOrder' => $usersPointSaleHasOrder, 'sectionSubscribers' => $sectionSubscribers, 'sectionInactiveUsers' => $sectionInactiveUsers]; ?>
                        <a class="btn <?= ($newsletterType == Email::TYPE_ORDER_TAKING) ? 'btn-primary' : 'btn-default'; ?>" href="<?= Yii::$app->urlManager->createUrl(['communicate/email', 'newsletterType' => Email::TYPE_ORDER_TAKING] + $linkParamsArray) ?>">Prise de commande</a>
                        <a class="btn <?= ($newsletterType == Email::TYPE_NEWSLETTER) ? 'btn-primary' : 'btn-default'; ?>" href="<?= Yii::$app->urlManager->createUrl(['communicate/email', 'newsletterType' => Email::TYPE_NEWSLETTER] + $linkParamsArray) ?>">Actualité</a>
                    </div>
                </div>

                <?php if($newsletterType): ?>
                    <?php $form = ActiveForm::begin(['enableClientValidation' => false]); ?>
                    <?php if($newsletterType == Email::TYPE_ORDER_TAKING): ?>
                        <?= $form->field($mailForm, 'id_distribution')->dropDownList($incomingDistributionsDatesArray)
                                ->hint("Sélectionnez une distribution pour ajouter automatiquement au message un lien vers la prise de commande de cette distribution"); ?>
                    <?php endif; ?>
                    <?= $form->field($mailForm, 'subject')->textInput() ; ?>
                    <?= $form->field($mailForm, 'message')->widget(letyii\tinymce\Tinymce::class, [
                        'configs' => [
                            'plugins' => Yii::$app->parameterBag->get('tinyMcePlugins')
                        ],
                    ]); ?>
                    <?php if($newsletterType == Email::TYPE_ORDER_TAKING): ?>
                        <?= $form->field($mailForm, 'integrate_product_list')->checkbox() ; ?>
                    <?php endif; ?>
                    <div class="form-group form-buttons">
                        <?= Html::submitButton( 'Envoyer', ['class' => 'btn btn-primary']) ?>
                    </div>
                    <?php ActiveForm::end(); ?>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <div class="col-md-4">
        <?php if($newsletterType): ?>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">
                        Liste des emails <span class="label label-default"><?= count($usersArray); ?></span>
                    </h3>
                </div>
                <div class="panel-body">

                    <?php if($idPointSaleActive): ?>
                        <a class="btn btn-xs <?php if($usersPointSaleLink): ?>btn-primary<?php else: ?>btn-default<?php endif; ?>" href="<?= Yii::$app->urlManager->createUrl(['communicate/email','idPointSale' => $idPointSaleActive, 'idDistribution' => $idDistributionActive, 'usersPointSaleLink' => 1, 'newsletterType' => $newsletterType]); ?>">Liés au point de vente</a>
                        <a class="btn btn-xs <?php if($usersPointSaleHasOrder): ?>btn-primary<?php else: ?>btn-default<?php endif; ?>" href="<?= Yii::$app->urlManager->createUrl(['communicate/email','idPointSale' => $idPointSaleActive, 'idDistribution' => $idDistributionActive, 'usersPointSaleHasOrder' => 1, 'newsletterType' => $newsletterType]); ?>">Déjà commandés dans ce point de vente</a>
                        <br /><br />
                    <?php endif; ?>

                    <?= implode(', ', array_map(function($user) {
                        return $user['email'];
                    }, $usersArray)); ?>
                </div>
            </div>
        <?php endif; ?>
    </div>
    <div class="clr"></div>
</div>


